%define name krabber
%define	version 0.4.2
%define release 1mdk
%define prefix /usr

Summary: Krabber -- audio data encoder/converter/grabber frontend
Name: %{name}
Version: %{version}
Release: %{release}
Prefix: %{prefix}
Group: Applications/Audio
Copyright: GPL
Source: %{name}-%{version}.tar.bz2
Patch0: %{name}-scripts.patch.bz2
Patch1: %{name}-make.patch.bz2
URL: http://krabber.automatix.de/krabber-0.4.2.tar.bz2
Requires: qt >= 1.40 kdelibs bladeenc
BuildRoot: /tmp/build-%{name}-%{version}

%description
An audio data encoder/converter/grabber frontend, Krabber reads
wav, mp3 files or audio tracks and writes wav or mp3 files.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch0 -p1 -b .scripts
%patch1 -p1 -b .make
touch `find . -type f`

%build
export KDEDIR=%{prefix}
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT
make

%install
make install

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s|^\.|\%attr(-,root,root) \%dir |' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's|^\.|\%attr(-,root,root) |' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's|^\.|\%attr(-,root,root) |' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}
rm -f $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Thu Aug 26 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 0.4.2.

* Wed Jul 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Bzip2 Sources/Patch.

* Mon Jul 05 1999 Giuseppe Ghib. <ghibo@caesar.polito.it>
- fixed problem in bladeenc script.                           

* Sat Jun 24 1999 Troy Engel <tengel@sonic.net>
- initial release.
